# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:policyexpression) do
  include EasyType

  desc 'A string representation of an security authorization policy'

  to_translate_to_resource do |raw_resource|
    raw_resource['policyexpression']
  end
  data_type('Optional[String]')
end
