# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:realm) do
  include EasyType

  desc <<-DESC
  The security realm of the domain

  DESC

  to_translate_to_resource do |raw_resource|
    raw_resource['realm']
  end
  data_type('Optional[String]')
end
