# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:testtablename, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The test table statement for the datasource.

  DESC

  data_type('Optional[String]')

  maps_to('JDBCResource/%<datasource_name>s/JDBCConnectionPoolParams/%<datasource_name>s/TestTableName')
end
