# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:deploymenttype) do
  include EasyType

  desc <<-DESC
  The deployment type

  DESC

  newvalues('Library', 'AppDeployment')

  to_translate_to_resource do |raw_resource|
    raw_resource['deploymenttype']
  end
  data_type("Optional[Enum['Library', 'AppDeployment']]")
end
