# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType

  desc <<-DESC
    The name.

  DESC

  isnamevar

  to_translate_to_resource do |raw_resource|
    "#{raw_resource[:domain]}/#{raw_resource[:file_persistence_name]}"
  end
end
