# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:provider_properties, :array_matching => :all, :parent => Puppet::Parameter::WlsHashProperty) do
  desc <<-DESC
    The properties for the Foreign JNDI provider

  DESC

  data_type('Optional[Array[String[1]]]')

  maps_to('Properties')
end
