# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:connectionfactoryjndi, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The connection factory's JNDI name for this JMS bridge destination.

  DESC

  data_type('Optional[String]')

  maps_to('ConnectionFactoryJNDIName')
end
