# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:clientidpolicy, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-DESC
  clientidpolicy

  DESC

  newvalues('absent', 'Restricted', 'Unrestricted')

  maps_to('ClientParams/%<connection_factory_name>s/ClientIdPolicy')

  data_type("Optional[Enum['absent', 'Restricted','Unrestricted']]")
end
