# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:localjndiname, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-DESC
  The local jndi name

  DESC

  data_type('Optional[String[1]]')

  maps_to('LocalJNDIName')
end
