# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:transactiontimeout, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include EasyType::Types::Integer

  desc <<-DESC
  transaction timeout on the cf

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('TransactionParams/%<connection_factory_name>s/TransactionTimeout')
end
