# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:timetodeliver, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  timetodeliver of the queue.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('DeliveryParamsOverrides/%<queue_name>s/TimeToDeliver')
end
