# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:redeliverydelay, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include EasyType::Types::Integer

  desc <<-DESC
  redelivery delay

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('DeliveryParamsOverrides/%<template_name>s/RedeliveryDelay')
end
