# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:remotejndiname, :parent => Puppet::Parameter::WlsProperty) do
  extend SAFImportedDestinationObjectProperty

  desc <<-DESC
  The Remote JNDI of the SAF imported destination object

  DESC

  maps_to('RemoteJNDIName')
end
