# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:listenaddress, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include EasyType::Validators::IPFQDN

  desc <<-DESC
  The listenaddress of the server

  DESC

  maps_to('ListenAddress')
end
