# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:custom_trust) do
  include EasyType::YamlProperty

  desc <<-DESC
  The custom trust enabled

  DESC

  # rubocop:disable Lint/BooleanSymbol
  newvalues(:true, :false)
  defaultto :false
  # rubocop:enable Lint/BooleanSymbol

  data_type('Optional[Boolean]')
end
