# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:jmsmodule) do
  include EasyType
  include EasyType::Validators::Name

  isnamevar

  desc <<-DESC
  The JMS module name.

  DESC

  to_translate_to_resource do |raw_resource|
    raw_resource['jmsmodule']
  end
end

child_of(:wls_jms_module, :jmsmodule) { "#{domain}/#{jmsmodule}" }
