# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
$LOAD_PATH.unshift File.join(File.dirname(__FILE__), '../..')
require 'puppet_x/enterprisemodules/weblogic/core'

module Puppet
  Type.newtype(:wls_daemon) do
    include EasyType

    desc <<-DESC
    Internal type to manage the daemon that optimizes wlst calls.
    DESC

    ensurable
    parameter :domain
  end
end
