# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:url, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The jdbc url.

  DESC

  data_type('Optional[String]')

  maps_to('JDBCResource/%<datasource_name>s/JDBCDriverParams/%<datasource_name>s/Url')
end
