# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:nodemanager_match, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Name

  desc <<-DESC
  The nodemanager match of this dynamic cluster

  DESC

  data_type('Optional[String]')

  maps_to('MachineNameMatchExpression')
end
