# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:server_template_name, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DESC
  The server template name of this cluster

  DESC

  data_type('Optional[String[1]]')

  maps_to('ServerTemplate/')
end
