# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:password, :parent => Puppet::Parameter::WlsEncryptedProperty) do
  desc <<-DESC
    The weblogic artifacts password.

  DESC

  data_type('Optional[String]')

  maps_to('Password')
end
