# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:provider_url, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The URL to use for the Foreign JNDI provider

  DESC

  data_type('Optional[String]')

  maps_to('ProviderURL')
end
