# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:destinationjndi, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The destination JNDI name for this JMS bridge destination.

  DESC

  data_type('Optional[String]')

  maps_to('DestinationJNDIName')
end
