# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:defaulttargeting, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
    default targeting enabled.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")
  defaultto 1

  maps_to('DefaultTargetingEnabled')
end
