# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:balancingpolicy, :parent => Puppet::Parameter::WlsProperty) do
  desc 'balancingpolicy of the distributed topic'

  newvalues('absent', 'Round-Robin', 'Random')

  maps_to('LoadBalancingPolicy') {}
  data_type("Optional[Enum['absent', 'Round-Robin', 'Random']]")
end
