# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:asyncenabled, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  Specifies if a messaging bridge instance forwards in asynchronous messaging mode

  DESC

  data_type('Optional[String]')

  maps_to('AsyncEnabled')
end
