# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:seconds_between_restarts, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  The amount of milliseconds to wait between attempts to migrate this migratable target

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('SecondsBetweenRestarts')
end
