# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:errordestination, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  errordestination of the queue.

  DESC

  maps_to('ErrorDestination/')

  on_apply do
    apply_paths_with_reference("/JMSSystemResources/#{resource[:jmsmodule]}/JMSResource/#{resource[:jmsmodule]}/UniformDistributedQueues", value)
  end
end

autorequire_if(:wls_jms_queue, :errordestination) { "#{domain}/#{jmsmodule}:#{errordestination}" }
