# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:timetolivedefault, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  the SAF time to live default of this SAF imported destination

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('TimeToLiveDefault')
end
