# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:connect_url, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-DESC
  The url to connect to

  DESC
  defaultto 't3://1.1.1.1:7001'

  maps_to('SAFLoginContext/%<remote_context_name>s/LoginURL')
end
