# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:minthreadsconstraint, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The min threads constraint name

  DESC

  maps_to('MinThreadsConstraint/')

  on_apply do
    apply_paths_with_reference("/SelfTuning/#{resource.domain_name}/MinThreadsConstraints", value)
  end
end
